# WoopsiUI::SuperBitmap Class Reference

`#include <superbitmap.h>`

Inheritance diagram for WoopsiUI::SuperBitmap:

List of all members.

## Public Member Functions
| SuperBitmap (s16 x, s16 y, u16 width, u16 height, u16 bitmapWidth, u16 bitmapHeight, bool isDecoration, FontBase *font=NULL)
Bitmap * | getBitmap ()
Graphics * | getGraphics ()
virtual void | draw (Rect clipRect)
virtual void | clearBitmap ()
virtual bool | drag (s16 x, s16 y, s16 vX, s16 vY)
## Protected Member Functions
virtual | ~SuperBitmap ()
| SuperBitmap (const SuperBitmap &superBitmap)
## Protected Attributes
s32 | _bitmapX
s32 | _bitmapY
Bitmap * | _bitmap
Graphics * | _graphics

## Detailed Description

The SuperBitmap class provides a set of 2D drawing tools and a bitmap in RAM to draw on. The class manifests itself as a gadget that can be scrolled around using the stylus.

## Constructor & Destructor Documentation

WoopsiUI::SuperBitmap::SuperBitmap | ( | s16 | x,
|  | s16 | y,
|  | u16 | width,
|  | u16 | height,
|  | u16 | bitmapWidth,
|  | u16 | bitmapHeight,
|  | bool | isDecoration,
|  | FontBase * | font = `NULL` |
| ) |  |  |

Constructor.

Parameters:

  | x | The x co-ordinate of the gadget.
  | y | The y co-ordinate of the gadget.
  | width | The width of the gadget.
  | height | The height of the gadget.
  | bitmapWidth | The desired width of the gadget's bitmap.
  | bitmapHeight | The desired height of the gadget's bitmap.
  | isDecoration | Specify if the gadget is a decoration or not. If set to true the gadget will function as a background image.
  | font | The font to use for text output.

virtual WoopsiUI::SuperBitmap::~SuperBitmap | ( |  | ) | `[protected, virtual]`

Destructor.

WoopsiUI::SuperBitmap::SuperBitmap | ( | const SuperBitmap & | superBitmap | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

virtual void WoopsiUI::SuperBitmap::clearBitmap | ( |  | ) | `[virtual]`

Erases the internal bitmap by filling it with the gadget's back colour.

virtual bool WoopsiUI::SuperBitmap::drag | ( | s16 | x,
|  | s16 | y,
|  | s16 | vX,
|  | s16 | vY |
| ) |  |  | `[virtual]`

Drag the gadget.

Parameters:

  | x | The x co-ordinate of the drag.
  | y | The y co-ordinate of the drag.
  | vX | The horizontal drag distance.
  | vY | The vertical drag distance.

Reimplemented from WoopsiUI::Gadget.

virtual void WoopsiUI::SuperBitmap::draw | ( | Rect | clipRect | ) | `[virtual]`

Draws the region of the gadget that falls within the clipping region. Should not be called.

Parameters:

  | clipRect | The rectangle to clip to.

Reimplemented from WoopsiUI::Gadget.

Bitmap* WoopsiUI::SuperBitmap::getBitmap | ( |  | ) |

Get a pointer to the internal bitmap.

Returns:
  Pointer to the internal bitmap.

Graphics* WoopsiUI::SuperBitmap::getGraphics | ( |  | ) |

Get a pointer to a Graphics object that can be used to draw to the internal bitmap. Note that this should *not* be deleted.

Returns:
  Pointer to a graphics object for drawing to the internal bitmap.

## Member Data Documentation

Bitmap* WoopsiUI::SuperBitmap::_bitmap`[protected]`

Bitmap

s32 WoopsiUI::SuperBitmap::_bitmapX`[protected]`

X co-ordinate of the bitmap relative to the gadget

s32 WoopsiUI::SuperBitmap::_bitmapY`[protected]`

Y co-ordinate of the bitmap relative to the gadget

Graphics* WoopsiUI::SuperBitmap::_graphics`[protected]`

Graphics object for drawing to bitmap

The documentation for this class was generated from the following file:

- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.40/Woopsi/libwoopsi/include/superbitmap.h